use envconfig::Envconfig;
use lazy_static::lazy_static;

#[derive(Envconfig, Debug)]
pub struct Config {
    #[envconfig(from = "BACKEND_DB_URL")]
    pub db_url: String,

    #[envconfig(from = "BACKEND_AMQP_URL")]
    pub amqp_url: String,

    #[envconfig(from = "BACKEND_UNTIS_API_URL")]
    pub untis_api_url: String,

    #[envconfig(from = "BACKEND_UNTIS_RPC_URL")]
    pub untis_rpc_url: String,

    #[envconfig(from = "BACKEND_UNTIS_SCHOOL")]
    pub untis_school: String,

    #[envconfig(from = "BACKEND_UNTIS_USERNAME")]
    pub untis_username: String,

    #[envconfig(from = "BACKEND_UNTIS_PASSWORD")]
    pub untis_password: String,
}

lazy_static! {
    pub static ref CONFIG: Config = Config::init_from_env().unwrap();
}
